Bug 820842 - Incorrect links for JBoss and MongoDB link in help page.
Incorrect links for JBoss and MongoDB link in help page.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Steve Goodwin
libra bugs
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 03:31 EDT by Yujie Zhang
Modified: 2015-05-14 21:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-05-11 03:31:51 EDT
Description of problem:

When I click the "JBoss" link on app/console/help page, it will redirect to community/page/jboss-resources page, and this page will return message "The requested page could not be found." 

Version-Release number of selected component (if applicable):

stage

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and login
2.Go to app/console/help page
3.Click the "JBoss" link in the "Troubleshoot" section.
  
Actual results:

jboss-resources page can not be found on community.

Expected results:

The jboss-resource page should be available.

Additional info:
Comment 2 Clayton Coleman 2012-05-11 11:41:39 EDT
We have redirects in place for these old urls.  The redirects are in the production database and have been fixed.  They will be copied back to devenv and staging early next sprint.  This should be verified on prod only (as long as the links in the devenv are correct).
Comment 3 Xiaoli Tian 2012-05-14 02:37:39 EDT
Verified this on prod, the 2 links below
https://openshift.redhat.com/community/page/jboss-resources

https://openshift.redhat.com/community/page/mongodb-resources

are now redirected to developers/mongodb and developers/jboss
Comment 4 Yujie Zhang 2012-05-30 01:15:39 EDT
This issue happens again on devenv_1808, the jboss page and mongodb page can not be found.
The url of jboss link on help page  will redirect to "https://openshifttest.redhat.com/community//community/developers/jboss".
The url of mongodb link on help page will redirect to 
"https://openshifttest.redhat.com/community//community/developers/mongodb".
Comment 5 Yujie Zhang 2012-05-30 01:45:35 EDT
Tried this on stage again ,the jboss page still can not be found.
Comment 6 Steve Goodwin 2012-05-30 14:54:57 EDT
fix committed
Comment 7 Yujie Zhang 2012-05-31 03:24:42 EDT
Tested this issue on devenv_1809, it has been fixed now, thanks.
Comment 8 Yujie Zhang 2012-06-04 07:27:12 EDT
Tested on stage today, the issue happened again.

https://stg.openshift.redhat.com/community/developers/jboss
https://stg.openshift.redhat.com/community/developers/mongodb

The above links will return "The requested page could not be found." error.
Comment 9 Xiaoli Tian 2012-06-04 07:32:02 EDT
(In reply to comment #8)
> Tested on stage today, the issue happened again.
> 
> https://stg.openshift.redhat.com/community/developers/jboss
> https://stg.openshift.redhat.com/community/developers/mongodb
> 
> The above links will return "The requested page could not be found." error.

The above 2 links work in prod, reduce the severity.
Comment 10 Yujie Zhang 2012-06-21 03:19:04 EDT
Tested this issue on devenv_1861, it does not exist now.

Note You need to log in before you can comment on or make changes to this bug.